module SSD_controller(
  output reg [7:0] cathode,
  output reg [3:0] anode,
  input      [7:0] ssd1,
  input      [7:0] ssd2,
  input      [7:0] ssd3,
  input      [7:0] ssd4,
  input            freezed,
  input      [1:0] clk
);
  reg [7:0] ssd4_q;
  reg [7:0] ssd3_q;
  reg [7:0] ssd2_q;
  reg [7:0] ssd1_q;
  
  // Inferring D Latches
  always @ *
    if (~freezed) begin
      ssd4_q <= ssd4;
      ssd3_q <= ssd3;
      ssd2_q <= ssd2;
      ssd1_q <= ssd1;
    end
  
  // MUX
  always @ *
    case (clk)
      0:       anode <= 4'b1110;
      1:       anode <= 4'b1101;
      2:       anode <= 4'b1011;
      3:       anode <= 4'b0111;
      default: anode <= 4'b0000;
    endcase
  
  // MUX
  always @ *
    case (clk)
      0:       cathode <= ssd1_q;
      1:       cathode <= ssd2_q;
      2:       cathode <= ssd3_q;
      3:       cathode <= ssd4_q;
      default: cathode <= 0;
    endcase
  
endmodule
